<p align="center">
  <img height="180" src="https://s3.us-west-1.amazonaws.com/data.kumo.ai/img/kumo_pink_md.svg" />
</p>

______________________________________________________________________

This repository implements a client SDK for users to programmatically interact with the Kumo machine learning platform ([documentation](https://kumo-ai.github.io/kumo-sdk/docs/#)).

## Installation

The Kumo SDK is available for Python 3.8 to Python 3.12. To install, simply run

```
pip install kumoai --extra-index-url=https://sdk-pkg.kumoai.cloud
```

You can also choose to install the SDK at a particular version:

```
pip install kumoai==0.1.1 --extra-index-url=https://sdk-pkg.kumoai.cloud
```

> \[!WARNING\]\
> Please note that the wheel currently includes a Github PAT that allows users
> to access the source code of the `kumo-sdk` and `kumo-api` repostories. Please
> do not share installation instructions outside of `kumo`, unless explicitly allowed.

## Development

To develop the Kumo SDK, clone this repository and run

```
pip install -e .
```

to install in editable mode. This will allow you to make changes to the SDK and test them
without re-running installation.

## Deployment

To deploy the Kumo SDK to the Kumo internal PyPI index, install [`s3pypi`](https://github.com/gorilla-co/s3pypi)
and run the following commands within a container that has access to the `s3://sdk-pkg` bucket:

```
export GITHUB_TOKEN=...  # The Github PAT scoped for read-only access to `kumo-sdk` and `kumo-api`
python3 -m build         # Will produce files in `dist/*`
s3pypi upload dist/* --bucket sdk-pkg
```

## Documentation

The latest version of the SDK documentation is located [here](https://kumo-ai.github.io/kumo-sdk/docs/#).

Documentation is built via Sphinx. To build locally, within the `docs` directory, run

```
make clean; make html SPHINXOPTS="-W --keep-going" ; cd build/html ; python3 -m http.server ; cd -
```
