import os

from setuptools import setup

# Configure git url to kumo-ai/kumo-api repository based on SDK_API_TOKEN
github_token = os.getenv('GITHUB_TOKEN')
kumo_api_ver = 'v0.5.0'
if github_token:
    # Github actions should configure GITHUB_TOKEN that has the access.
    kumo_api_git_url = (
        f'git+https://{github_token}@github.com/kumo-ai/kumo-api.git'
        f'@{kumo_api_ver}#egg=kumoapi')
else:
    # For local and devserver, use pre-configured SSH key to access.
    kumo_api_git_url = ('git+ssh://git@github.com/kumo-ai/kumo-api.git'
                        f'@{kumo_api_ver}#egg=kumoapi')

setup(
    # Dynamic specification in pyproject.toml:
    install_requires=[
        "pandas",
        "requests>=2.28.2",
        "urllib3",
        "plotly",
        "typing_extensions>=4.5.0",  # for override
        f"kumo-api@{kumo_api_git_url}",
        "tqdm>=4.66.0",
        "aiohttp>=3.10.0",
    ])
